# Class Axios

#### Hierarchy (View Summary)

- Axios
  - AxiosInstance

- Defined in node_modules/axios/index.d.ts:490

##### Index

### Constructors

constructor

### Properties

defaults
interceptors

### Methods

delete
get
getUri
head
options
patch
patchForm
post
postForm
put
putForm
request

## Constructors

### constructor

- new Axios(config?: AxiosRequestConfig <any>): Axios

  #### Parameters

  - `Optional` config: AxiosRequestConfig <any>

  #### Returns Axios

  - Defined in node_modules/axios/index.d.ts:491

## Properties

### defaults

defaults: AxiosDefaults

- Defined in node_modules/axios/index.d.ts:492

### interceptors

interceptors: {
request: AxiosInterceptorManager < InternalAxiosRequestConfig <any>>;
response: AxiosInterceptorManager < AxiosResponse <any, any>>;
}

- Defined in node_modules/axios/index.d.ts:493

## Methods

### delete

- delete< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:500

### get

- get< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:499

### getUri

- getUri(config?: AxiosRequestConfig <any>): string

  #### Parameters

  - `Optional` config: AxiosRequestConfig <any>

  #### Returns string

  - Defined in node_modules/axios/index.d.ts:497

### head

- head< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:501

### options

- options< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:502

### patch

- patch< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:505

### patchForm

- patchForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:508

### post

- post< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:503

### postForm

- postForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:506

### put

- put< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:504

### putForm

- putForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:507

### request

- request< T = any, R = AxiosResponse < T , any>, D = any>(
  config: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:498